<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: enhanced_user_info_panel.php
| Author: Nick Jones (Digitanium)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."enhanced_user_info_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."enhanced_user_info_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."enhanced_user_info_panel/locale/English.php";
}

add_to_head("<script type='text/javascript' src='".INFUSIONS."enhanced_user_info_panel/eui.js'></script>");

if (iMEMBER) {
	openside($userdata['user_name']);
	$msg_count = dbcount("(message_id)", DB_MESSAGES, "message_to='".$userdata['user_id']."' AND message_read='0'AND message_folder='0'");
	if ($msg_count) {
		echo "<div style='text-align:center'><strong><a href='".BASEDIR."messages.php' class='side'>".sprintf($locale['global_125'], $msg_count).($msg_count == 1 ? $locale['global_126'] : $locale['global_127'])."</a></strong></div>\n";
	}
	if (iADMIN && (iUSER_RIGHTS != "" || iUSER_RIGHTS != "C")) {
		$subm_count = dbcount("(submit_id)", DB_SUBMISSIONS);

		if ($subm_count) {
			echo "<div style='text-align:center;margin-top:15px;'>\n";
			echo "<strong><a href='".ADMIN."submissions.php".$aidlink."' class='side'>".sprintf($locale['global_125'], $subm_count);
			echo ($subm_count == 1 ? $locale['global_128'] : $locale['global_129'])."</a></strong>\n";
			echo "</div>\n";
		}
	}
	if ($userdata['user_avatar'] && file_exists(IMAGES."avatars/".$userdata['user_avatar'])) {
		echo "<div style='text-align:center;margin:10px 0 10px 0'><a href='".BASEDIR."profile.php?lookup=".$userdata['user_id']."'><img src='".IMAGES."avatars/".$userdata['user_avatar']."' alt='".$locale['eui_100']."' style='border:0' /></a></div>\n";
	}
	echo "<div class='side-label eui_master_head' style='margin-bottom:1px' title='".$locale['eui_101']."'>".$locale['eui_102']."</div>\n";
	echo "<div class='eui_master_body' style='margin-bottom:3px'>\n";
	echo THEME_BULLET." <a href='".BASEDIR."edit_profile.php' class='side'>".$locale['global_120']."</a><br />\n";
	echo THEME_BULLET." <a href='".BASEDIR."messages.php' class='side'>".$locale['global_121']."</a><br />\n";
	echo THEME_BULLET." <a href='".BASEDIR."members.php' class='side'>".$locale['global_122']."</a><br />\n";
	if (iADMIN && (iUSER_RIGHTS != "" || iUSER_RIGHTS != "C")) {
		echo THEME_BULLET." <a href='".ADMIN."index.php".$aidlink."' class='side'>".$locale['global_123']."</a><br />\n";
	}
	echo THEME_BULLET." <a href='".BASEDIR."setuser.php?logout=yes' class='side'>".$locale['global_124']."</a>\n";
	echo "</div>\n";
	echo "<div class='side-label eui_head' style='margin-bottom:1px' title='".$locale['eui_101']."'>".$locale['eui_103']."</div>\n";
	echo "<div class='eui_body' style='margin-bottom:3px'>\n";
	echo THEME_BULLET." <a href='".INFUSIONS."forum_threads_list_panel/my_threads.php' class='side'>".$locale['global_041']."</a><br />\n";
	echo THEME_BULLET." <a href='".INFUSIONS."forum_threads_list_panel/my_posts.php' class='side'>".$locale['global_042']."</a><br />\n";
	echo THEME_BULLET." <a href='".INFUSIONS."forum_threads_list_panel/new_posts.php' class='side'>".$locale['global_043']."</a>";
	if($settings['thread_notify']) {
		echo "<br />\n".THEME_BULLET." <a href='".INFUSIONS."forum_threads_list_panel/my_tracked_threads.php' class='side'>".$locale['global_056']."</a>";
	}
	echo "</div>\n";
	echo "<div class='side-label eui_head' title='".$locale['eui_101']."'>".$locale['eui_104']."</div>\n";
	echo "<div class='eui_body'>\n";
	echo THEME_BULLET." <a href='submit.php?stype=l' class='side'>".$locale['eui_105']."</a><br />\n";
	echo THEME_BULLET." <a href='submit.php?stype=n' class='side'>".$locale['eui_106']."</a><br />\n";
	echo THEME_BULLET." <a href='submit.php?stype=a' class='side'>".$locale['eui_107']."</a><br />\n";
	echo THEME_BULLET." <a href='submit.php?stype=d' class='side'>".$locale['eui_109']."</a><br />\n";
	echo THEME_BULLET." <a href='submit.php?stype=p' class='side'>".$locale['eui_108']."</a>\n";
	echo "</div>\n";
} else {
	openside($locale['global_100']);
	echo "<div style='text-align:center'>\n";
	echo "<form name='loginform' method='post' action='".FUSION_SELF."'>\n";
	echo $locale['global_101']."<br />\n<input type='text' name='user_name' class='textbox' style='width:100px' /><br />\n";
	echo $locale['global_102']."<br />\n<input type='password' name='user_pass' class='textbox' style='width:100px' /><br />\n";
	echo "<input type='checkbox' name='remember_me' value='y' title='".$locale['global_103']."' style='vertical-align:middle;' />\n";
	echo "<input type='submit' name='login' value='".$locale['global_104']."' class='button' /><br />\n";
	echo "</form>\n<br />\n";
	if ($settings['enable_registration']) {
		echo "".$locale['global_105']."<br /><br />\n";
	}
	echo $locale['global_106']."\n</div>\n";
}
closeside();
?>